/**
 * @file
 * Initialize history.back logic.
 */

(function ($, Drupal, debounce, window) {

  'use strict';

  Drupal.behaviors.previewRefresh = {

    enabled: true,
    attach: function (context) {
      $('.js-previewRefresh').once('previewRefresh').each(function() {
        var $previewRefreshButton = $(this);
        var $form = $previewRefreshButton.closest('form');

        $form.on('formUpdated', (function(event) {
          if (!Drupal.behaviors.previewRefresh.enabled) return;
          if ($('.js-offCanvasPreview').length === 0) return;

          Drupal.behaviors.previewRefresh.enabled = false;
          $previewRefreshButton.trigger('previewRefreshSubmit');
          setTimeout(() => Drupal.behaviors.previewRefresh.enabled = true, 1500);
        }));

        $previewRefreshButton.on('previewRefresh', function(event, data) {
          $('.js-offCanvasPreviewIframe').replaceWith(data.content);
        });
      });
    }
  };

}(jQuery, Drupal, Drupal.debounce, window));
